Package org.eclipse.net4j.util.io

## Class XOROutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.net4j.util.io.DelegatingOutputStream
    - - org.eclipse.net4j.util.io.XOROutputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

      public class XOROutputStream
      extends DelegatingOutputStream

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.io.DelegatingOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XOROutputStream​(java.io.OutputStream out, int... key)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int[]` | `getKey()` |
    `void` | `write​(int b)` | Writes the specified `byte` to this output stream.

    - ### Methods inherited from class org.eclipse.net4j.util.io.DelegatingOutputStream

      `close, flush, getDelegate`

    - ### Methods inherited from class java.io.OutputStream

      `nullOutputStream, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XOROutputStream

          public XOROutputStream​(java.io.OutputStream out,
                                 int... key)

  - ### Method Detail

    - #### getKey

          public int[] getKey()

    - #### write

          public void write​(int b)
                     throws java.io.IOException

      Description copied from class: `DelegatingOutputStream`
      Writes the specified `byte` to this output stream.

      The `write` method of `DelegatingOutputStream` calls the `write` method of its underlying output stream, that is, it performs `out.write(b)`.

      Implements the abstract `write` method of `OutputStream`.

      Overrides:
        `write` in class `DelegatingOutputStream`
      Parameters:
        `b` - the `byte`.
      Throws:
        `java.io.IOException` - if an I/O error occurs.